<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <header class="entry-header">
    <?php if ( ! is_page_template( 'page-templates/front-page.php' ) ) : ?>
    <?php the_post_thumbnail(); ?>
    <?php endif; ?>
    <h1 class="entry-title">
      <?php the_title(); ?>
    </h1>
  </header>
  <div class="entry-content txt-page-cont" style="width:auto; column-count:3; -ms-column-count:3; -moz-column-count:3; -webkit-column-count:3; column-width:299px; -moz-column-width:299px; -ms-column-width:299px;">
    <?php the_content(); ?>
  </div>
  <!-- .entry-content --> 
  
</article>
<!-- #post --> 
