<?php
/**
 * Template Name: News
 *
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
get_header(); ?>
<div class="row">
	<div class="sixteen columns wrapos">
		<header class="entry-header">
		   <h1 class="entry-title"><?php the_title(); ?></h1>
		</header>
		<div class="sixteen columns blogos">
			<ul class="one_up tiles">
				<?php query_posts('showposts=-1&post_type=news');?>
				<?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'content-bl', get_post_format() ); ?>
				<?php endwhile; // end of the loop. ?>
				<?php wp_reset_query();
		  ?>
			</ul>
			<?php if(function_exists('wp_page_numbers')) : wp_page_numbers(); endif; ?>
		</div>
	</div>
</div>
<?php get_footer(); ?>