<?php
/**
 * Template Name: Portfolio
 *
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
 
$nmbrcolumns = get_theme_options('pt_columns_number');

switch ($nmbrcolumns){
	case "2":
	    $nmbrcolumns = "two";
		break;
	case "3":
	    $nmbrcolumns = "three";
		break;
	case "4":
	    $nmbrcolumns = "four";
		break;
	case "5":
	     $nmbrcolumns = "five";
 		break;
	default:
	    $nmbrcolumns = "three";
		break;
}
 

get_header(); ?>

<div class="row">
  <div class="sixteen columns wrapos">
    <header class="entry-header">
      <h1 class="entry-title">
        <?php the_title(); ?>
      </h1>
    </header>
    <div class="sixteen columns port-categ-bar"> <span>Categories: </span>
      <?php
				 $terms = get_terms("portfolio-category");
				 $count = count($terms);
				 echo '<ul id="portfolio-filter">';
					echo '<li><a href="#all" title="">All</a></li>';
				 if ( $count > 0 ){
					
						foreach ( $terms as $term ) {
							
							$termname = strtolower($term->name);
							$termname = str_replace(' ', '-', $termname);
							echo '<li><a href="#'.$termname.'" title="" rel="'.$termname.'">'.$term->name.'</a></li>';
						}
				 }
				 echo "</ul>";
			?>
    </div>
    <!--portfolio category bar-->
    
    <?php 
				$loop = new WP_Query(array('post_type' => 'portfolio', 'posts_per_page' => -1));
				$count =0;
			?>
    <div class="sixteen columns portif">
      <ul id="portfolio-list" class="<?php echo $nmbrcolumns; ?>_up tiles">
        <?php if ( $loop ) : 
					 
					while ( $loop->have_posts() ) : $loop->the_post(); ?>
        <?php
						$terms = get_the_terms( $post->ID, 'portfolio-category' );
								
						if ( $terms && ! is_wp_error( $terms ) ) : 
							$links = array();

							foreach ( $terms as $term ) 
							{
								$links[] = $term->name;
							}
							$links = str_replace(' ', '-', $links);	
							$tax = join( " ", $links );		
						else :	
							$tax = '';	
						endif;
						?>
        <?php $infos = get_post_custom_values('_url'); 
						$enable_fancy_full = get_theme_options('show_img_in_fancy');

$blckwhite = get_theme_options('greyimageff'); 
  if ($blckwhite) $blckwhite="gryscale"; ?>
        <li class="portfolio-item <?php echo strtolower($tax); ?> all image">
          <?php if ($enable_fancy_full=="true"){ 
			$large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');				
 echo '<a href="' . $large_image_url[0] . '" class="fancybox" rel="portfolio-slideshow" title="' . the_title_attribute('echo=0') . '" >';
  the_post_thumbnail('full',array('class' => ' image '.$blckwhite));
   echo '</a>';
    }else{
		the_post_thumbnail('full',array('class' => ' image ' . $blckwhite));
	} ?>
          <a href="<?php the_permalink(); ?>" rel="readmore"><span>
          <?php the_title(); ?>
          </span></a> </li>
        <?php endwhile; else: ?>
        <li class="error-not-found">Sorry, no portfolio entries for while.</li>
        <?php endif; ?>
      </ul>
    </div>
    <!--sixteen columns portif--> 
    
  </div>
</div>
<?php get_footer(); ?>
