<?php
/**
 * The template for displaying Search Results pages
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>

	<div class="row">
       <div class="sixteen columns wrapos"> 

		<?php if ( have_posts() ) : ?>

			<header class="entry-header">
				<h1 class="entry-title"><?php printf( __( 'Search Results for: %s', 'twentytwelve' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
			</header>
<?php 
$side_bar =  get_theme_options('show_sidebar'); 
if ($side_bar==true){
	$sidebar_rs = "eleven";
}else{
	$sidebar_rs = "sixteen";
}   


$bgnmbrcolumns = get_theme_options('bg_columns_number');

switch ($bgnmbrcolumns){
	case "1":
	    $bgnmbrcolumns = "one";
		break;
	case "2":
	    $bgnmbrcolumns = "two";
		break;
	default:
	    $bgnmbrcolumns = "one";
		break;
}
?>         
			<?php // twentytwelve_content_nav( 'nav-above' ); ?>
          <div class="<?php echo $sidebar_rs; ?> columns blogos">
           <ul class="<?php echo $bgnmbrcolumns; ?>_up tiles">
			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'content-bl', get_post_format() ); ?>
			<?php endwhile; ?>
            </ul>
			 <?php if(function_exists('wp_page_numbers')) : wp_page_numbers(); endif; ?>
           </div>
		<?php else : ?>

			<article id="post-0" class="post no-results not-found">
				<header class="entry-header">
					<h1 class="entry-title"><?php _e( 'Nothing Found', 'twentytwelve' ); ?></h1>
				</header>

				<div class="entry-content">
					<p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'twentytwelve' ); ?></p>
					<?php get_search_form(); ?>
				</div><!-- .entry-content -->
			</article><!-- #post-0 -->

		<?php endif; ?>



		
   <?php
   
   
   if ($sidebar_rs=="eleven"){ ?> 	     
        <div class="five columns sidos">
            <?php get_sidebar(); ?>            
        </div>
        <?php } ?>
        
    </div>
   </div>    
<?php get_footer(); ?>