<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
?>
<?php  $adrs =  get_theme_options('con_addr');
     $pho =  get_theme_options('con_phone');
     $ema =  get_theme_options('con_email');  ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<header class="entry-header">
  <?php if ( ! is_page_template( 'page-templates/front-page.php' ) ) : ?>
  <?php the_post_thumbnail(); ?>
  <?php endif; ?>
  <h1 class="entry-title">
    <?php the_title(); ?>
  </h1>
</header>
<iframe width="100%" height="314" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.com/?q=<?php echo rawurlencode($adrs)?>&amp;output=embed"></iframe>
<div class="eleven columns con-form">
  <?php the_content(); ?>
</div>
<div class="five columns con-det">
  <ul>
    <li> <i class="icon-location"></i> <span>Address</span>
      <p><?php echo $adrs; ?></p>
    </li>
    <li> <i class="icon-phone"></i> <span>Phone</span>
      <p><?php echo $pho; ?></p>
    </li>
    <li> <i class="icon-mail"></i> <span>Email</span>
      <p><?php echo $ema; ?></p>
    </li>
  </ul>
</div>
