<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <header class="entry-header">
    <?php the_post_thumbnail('full',array('class' => ' image ')); ?>
    <h1 class="entry-title">
      <?php the_title(); ?>
    </h1>
  </header>
  <!-- .entry-header -->
  
  <div class="entry-content">
    <?php the_content(); ?>
    <?php $port_ext_link = get_post_custom_values('_url'); ?>
    <?php if (!empty($port_ext_link[0])){ ?>
    <a href="<?php echo $port_ext_link[0]; ?>" class="port-ext-link">Visit Website</a>
    <?php	}  ?>
  </div>
  <!-- .entry-content --> 
</article>
<!-- #post --> 
