<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
get_header(); ?>
<?php $side_bar =  get_theme_options('show_sidebar'); 
if ($side_bar==true){
	$sidebar_rs = "eleven";
}else{
	$sidebar_rs = "sixteen";
}
$bgnmbrcolumns = get_theme_options('bg_columns_number');
switch ($bgnmbrcolumns){
	case "1":
	    $bgnmbrcolumns = "one";
		break;
	case "2":
	    $bgnmbrcolumns = "two";
		break;
	default:
	    $bgnmbrcolumns = "one";
		break;
}
?>
<div class="row">
	<div class="sixteen columns wrapos">
		<div class="<?php echo $sidebar_rs; ?> columns blogos">
			<ul class="<?php echo $bgnmbrcolumns; ?>_up tiles"> 
			    <?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'content-bl', get_post_format() ); ?>
				<?php endwhile; // end of the loop. ?>
			</ul>
			<?php if(function_exists('wp_page_numbers')) : wp_page_numbers(); endif; ?>
		</div>
		<?php if ($sidebar_rs=="eleven"){ ?>
		<div class="five columns sidos">
			<?php get_sidebar(); ?>
		</div>
		<?php } ?>
	</div>
</div>
<?php get_footer(); ?>